Bug 279909 - digiKam crashed when I tried to import photos from my iPhone 4.
Summary: digiKam crashed when I tried to import photos from my iPhone 4.
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Import-Gphoto2 (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-11 16:01 UTC by Ola Sundell
Modified: 2018-08-19 17:26 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 6.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ola Sundell 2011-08-11 16:01:35 UTC
Application: digikam (1.9.0)
KDE Platform Version: 4.6.5 (4.6.5)
Qt Version: 4.7.3
Operating System: Linux 2.6.40-4.fc15.x86_64 x86_64
Distribution: "Fedora release 15 (Lovelock)"

-- Information about the crash:
I plugged in my iPhone 4 using an Apple cable, which I've done multiple times. I can use it as a networking interface and I can access photos via the shell. This is the first time, however, that I've tried to import photos using digiKam. I started with a fresh digiKam setup, and when I started importing photos, the application crashed. I tried restarting to no avail.

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
87	  int result = INLINE_SYSCALL (poll, 3, CHECK_N (fds, nfds), nfds, timeout);
[Current thread is 1 (Thread 0x7f5373d4e8c0 (LWP 27073))]

Thread 15 (Thread 0x7f5365c80700 (LWP 27108)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x000000349c2745db in wait (time=18446744073709551615, this=0x2bcbed0) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2bd2a70, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00000000005f567d in Digikam::ScanController::run (this=0x2b07b80) at /usr/src/debug/digikam-1.9.0/digikam/scancontroller.cpp:571
#4  0x000000349c274145 in QThreadPrivate::start (arg=0x2b07b80) at thread/qthread_unix.cpp:320
#5  0x0000003491e07b31 in start_thread (arg=0x7f5365c80700) at pthread_create.c:305
#6  0x00000034916dfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 14 (Thread 0x7f536547f700 (LWP 27110)):
#0  0x00000034916d7423 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003493642d24 in g_main_context_poll (n_fds=1, fds=0x7f53580022e0, priority=<optimized out>, timeout=-1, context=0x7f5358002fe0) at gmain.c:3405
#2  g_main_context_iterate (context=0x7f5358002fe0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3087
#3  0x000000349364325c in g_main_context_iteration (context=0x7f5358002fe0, may_block=1) at gmain.c:3155
#4  0x000000349c384d76 in QEventDispatcherGlib::processEvents (this=0x7f53580022c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x000000349c3596c2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x000000349c3598bf in QEventLoop::exec (this=0x7f536547ecc0, flags=...) at kernel/qeventloop.cpp:201
#7  0x000000349c2716cf in QThread::exec (this=<optimized out>) at thread/qthread.cpp:492
#8  0x000000349c274145 in QThreadPrivate::start (arg=0x2d03ff0) at thread/qthread_unix.cpp:320
#9  0x0000003491e07b31 in start_thread (arg=0x7f536547f700) at pthread_create.c:305
#10 0x00000034916dfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 13 (Thread 0x7f5364a72700 (LWP 27111)):
#0  QTimerInfoList::repairTimersIfNeeded (this=0x7f535c0018a0) at kernel/qeventdispatcher_unix.cpp:394
#1  0x000000349c385801 in QTimerInfoList::timerWait (this=0x7f535c0018a0, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#2  0x000000349c3842bc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f5364a71b2c) at kernel/qeventdispatcher_glib.cpp:136
#3  0x000000349c384365 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#4  0x0000003493641cc2 in g_main_context_prepare (context=0x7f535c0009b0, priority=0x7f5364a71b98) at gmain.c:2762
#5  0x0000003493642bbd in g_main_context_iterate (context=0x7f535c0009b0, block=1, dispatch=1, self=<optimized out>) at gmain.c:3072
#6  0x000000349364325c in g_main_context_iteration (context=0x7f535c0009b0, may_block=1) at gmain.c:3155
#7  0x000000349c384d76 in QEventDispatcherGlib::processEvents (this=0x7f535c0008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#8  0x000000349c3596c2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#9  0x000000349c3598bf in QEventLoop::exec (this=0x7f5364a71cc0, flags=...) at kernel/qeventloop.cpp:201
#10 0x000000349c2716cf in QThread::exec (this=<optimized out>) at thread/qthread.cpp:492
#11 0x000000349c274145 in QThreadPrivate::start (arg=0x2ca57e0) at thread/qthread_unix.cpp:320
#12 0x0000003491e07b31 in start_thread (arg=0x7f5364a72700) at pthread_create.c:305
#13 0x00000034916dfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 12 (Thread 0x7f5357fff700 (LWP 27112)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x000000349c2745db in wait (time=18446744073709551615, this=0x2d23190) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2d21428, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00000034aa4c1127 in Digikam::ParkingThread::run (this=0x2d21410) at /usr/src/debug/digikam-1.9.0/libs/threads/threadmanager.cpp:119
#4  0x000000349c274145 in QThreadPrivate::start (arg=0x2d21410) at thread/qthread_unix.cpp:320
#5  0x0000003491e07b31 in start_thread (arg=0x7f5357fff700) at pthread_create.c:305
#6  0x00000034916dfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 11 (Thread 0x7f53577fe700 (LWP 27113)):
#0  0x0000003491e0a999 in __pthread_mutex_unlock_usercnt (mutex=0x7f53480009b8, decr=<optimized out>) at pthread_mutex_unlock.c:53
#1  __pthread_mutex_unlock (mutex=0x7f53480009b8) at pthread_mutex_unlock.c:298
#2  0x0000003493641cb4 in g_main_context_prepare (context=0x7f53480009b0, priority=0x7f53577fdb98) at gmain.c:2760
#3  0x0000003493642bbd in g_main_context_iterate (context=0x7f53480009b0, block=1, dispatch=1, self=<optimized out>) at gmain.c:3072
#4  0x000000349364325c in g_main_context_iteration (context=0x7f53480009b0, may_block=1) at gmain.c:3155
#5  0x000000349c384d76 in QEventDispatcherGlib::processEvents (this=0x7f53480008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#6  0x000000349c3596c2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x000000349c3598bf in QEventLoop::exec (this=0x7f53577fdcc0, flags=...) at kernel/qeventloop.cpp:201
#8  0x000000349c2716cf in QThread::exec (this=<optimized out>) at thread/qthread.cpp:492
#9  0x000000349c274145 in QThreadPrivate::start (arg=0x2cf1cc0) at thread/qthread_unix.cpp:320
#10 0x0000003491e07b31 in start_thread (arg=0x7f53577fe700) at pthread_create.c:305
#11 0x00000034916dfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 10 (Thread 0x7f5356ffd700 (LWP 27114)):
#0  0x00000034916d7423 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003493642d24 in g_main_context_poll (n_fds=1, fds=0x7f534c002230, priority=<optimized out>, timeout=-1, context=0x7f534c0009b0) at gmain.c:3405
#2  g_main_context_iterate (context=0x7f534c0009b0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3087
#3  0x000000349364325c in g_main_context_iteration (context=0x7f534c0009b0, may_block=1) at gmain.c:3155
#4  0x000000349c384d76 in QEventDispatcherGlib::processEvents (this=0x7f534c0008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x000000349c3596c2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x000000349c3598bf in QEventLoop::exec (this=0x7f5356ffccc0, flags=...) at kernel/qeventloop.cpp:201
#7  0x000000349c2716cf in QThread::exec (this=<optimized out>) at thread/qthread.cpp:492
#8  0x000000349c274145 in QThreadPrivate::start (arg=0x2d41d50) at thread/qthread_unix.cpp:320
#9  0x0000003491e07b31 in start_thread (arg=0x7f5356ffd700) at pthread_create.c:305
#10 0x00000034916dfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 9 (Thread 0x7f533eaff700 (LWP 27118)):
#0  0x0000003491e099d1 in __pthread_mutex_lock (mutex=0x7f53380026c8) at pthread_mutex_lock.c:65
#1  0x000000349364249f in g_main_context_check (context=0x7f53380026c0, max_priority=2147483647, fds=<optimized out>, n_fds=<optimized out>) at gmain.c:2964
#2  0x0000003493642d42 in g_main_context_iterate (context=0x7f53380026c0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3089
#3  0x000000349364325c in g_main_context_iteration (context=0x7f53380026c0, may_block=1) at gmain.c:3155
#4  0x000000349c384d76 in QEventDispatcherGlib::processEvents (this=0x7f53380025a0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x000000349c3596c2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x000000349c3598bf in QEventLoop::exec (this=0x7f533eafec90, flags=...) at kernel/qeventloop.cpp:201
#7  0x000000349c2716cf in QThread::exec (this=<optimized out>) at thread/qthread.cpp:492
#8  0x000000349c33c72f in QInotifyFileSystemWatcherEngine::run (this=0x35db0a0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x000000349c274145 in QThreadPrivate::start (arg=0x35db0a0) at thread/qthread_unix.cpp:320
#10 0x0000003491e07b31 in start_thread (arg=0x7f533eaff700) at pthread_create.c:305
#11 0x00000034916dfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 8 (Thread 0x7f5340434700 (LWP 27125)):
#0  g_main_context_prepare (context=0x7f5330001ed0, priority=0x7f5340433b68) at gmain.c:2759
#1  0x0000003493642bbd in g_main_context_iterate (context=0x7f5330001ed0, block=1, dispatch=1, self=<optimized out>) at gmain.c:3072
#2  0x000000349364325c in g_main_context_iteration (context=0x7f5330001ed0, may_block=1) at gmain.c:3155
#3  0x000000349c384d76 in QEventDispatcherGlib::processEvents (this=0x7f53300008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x000000349c3596c2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x000000349c3598bf in QEventLoop::exec (this=0x7f5340433c90, flags=...) at kernel/qeventloop.cpp:201
#6  0x000000349c2716cf in QThread::exec (this=<optimized out>) at thread/qthread.cpp:492
#7  0x000000349c33c72f in QInotifyFileSystemWatcherEngine::run (this=0x3a3fa10) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x000000349c274145 in QThreadPrivate::start (arg=0x3a3fa10) at thread/qthread_unix.cpp:320
#9  0x0000003491e07b31 in start_thread (arg=0x7f5340434700) at pthread_create.c:305
#10 0x00000034916dfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 7 (Thread 0x7f52b3ff7700 (LWP 27172)):
#0  g_main_context_iterate (context=0x7f52e0012890, block=1, dispatch=1, self=<optimized out>) at gmain.c:3074
#1  0x000000349364325c in g_main_context_iteration (context=0x7f52e0012890, may_block=1) at gmain.c:3155
#2  0x000000349c384d76 in QEventDispatcherGlib::processEvents (this=0x7f52e00127a0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#3  0x000000349c3596c2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#4  0x000000349c3598bf in QEventLoop::exec (this=0x7f52b3ff6c90, flags=...) at kernel/qeventloop.cpp:201
#5  0x000000349c2716cf in QThread::exec (this=<optimized out>) at thread/qthread.cpp:492
#6  0x000000349c33c72f in QInotifyFileSystemWatcherEngine::run (this=0x4b13990) at io/qfilesystemwatcher_inotify.cpp:248
#7  0x000000349c274145 in QThreadPrivate::start (arg=0x4b13990) at thread/qthread_unix.cpp:320
#8  0x0000003491e07b31 in start_thread (arg=0x7f52b3ff7700) at pthread_create.c:305
#9  0x00000034916dfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7f52b0ff1700 (LWP 27179)):
#0  0x0000003491e0a999 in __pthread_mutex_unlock_usercnt (mutex=0x7f52f00146e8, decr=<optimized out>) at pthread_mutex_unlock.c:53
#1  __pthread_mutex_unlock (mutex=0x7f52f00146e8) at pthread_mutex_unlock.c:298
#2  0x000000349364246e in g_main_context_check (context=0x7f52f00146e0, max_priority=2147483647, fds=<optimized out>, n_fds=<optimized out>) at gmain.c:2960
#3  0x0000003493642d42 in g_main_context_iterate (context=0x7f52f00146e0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3089
#4  0x000000349364325c in g_main_context_iteration (context=0x7f52f00146e0, may_block=1) at gmain.c:3155
#5  0x000000349c384d76 in QEventDispatcherGlib::processEvents (this=0x7f52f00122b0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#6  0x000000349c3596c2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x000000349c3598bf in QEventLoop::exec (this=0x7f52b0ff0c90, flags=...) at kernel/qeventloop.cpp:201
#8  0x000000349c2716cf in QThread::exec (this=<optimized out>) at thread/qthread.cpp:492
#9  0x000000349c33c72f in QInotifyFileSystemWatcherEngine::run (this=0x5005650) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x000000349c274145 in QThreadPrivate::start (arg=0x5005650) at thread/qthread_unix.cpp:320
#11 0x0000003491e07b31 in start_thread (arg=0x7f52b0ff1700) at pthread_create.c:305
#12 0x00000034916dfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7f52b07f0700 (LWP 27186)):
#0  0x00000034916d7423 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003493642d24 in g_main_context_poll (n_fds=1, fds=0x7f52fc011ef0, priority=<optimized out>, timeout=-1, context=0x7f52fc013800) at gmain.c:3405
#2  g_main_context_iterate (context=0x7f52fc013800, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3087
#3  0x000000349364325c in g_main_context_iteration (context=0x7f52fc013800, may_block=1) at gmain.c:3155
#4  0x000000349c384d76 in QEventDispatcherGlib::processEvents (this=0x7f52fc0122b0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x000000349c3596c2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x000000349c3598bf in QEventLoop::exec (this=0x7f52b07efc90, flags=...) at kernel/qeventloop.cpp:201
#7  0x000000349c2716cf in QThread::exec (this=<optimized out>) at thread/qthread.cpp:492
#8  0x000000349c33c72f in QInotifyFileSystemWatcherEngine::run (this=0x54bc350) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x000000349c274145 in QThreadPrivate::start (arg=0x54bc350) at thread/qthread_unix.cpp:320
#10 0x0000003491e07b31 in start_thread (arg=0x7f52b07f0700) at pthread_create.c:305
#11 0x00000034916dfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7f52b1ff3700 (LWP 27209)):
#0  0x00000034916d7423 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003493642d24 in g_main_context_poll (n_fds=1, fds=0x7f52f80121a0, priority=<optimized out>, timeout=-1, context=0x7f52f8014440) at gmain.c:3405
#2  g_main_context_iterate (context=0x7f52f8014440, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3087
#3  0x000000349364325c in g_main_context_iteration (context=0x7f52f8014440, may_block=1) at gmain.c:3155
#4  0x000000349c384d76 in QEventDispatcherGlib::processEvents (this=0x7f52f8014230, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x000000349c3596c2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x000000349c3598bf in QEventLoop::exec (this=0x7f52b1ff2c90, flags=...) at kernel/qeventloop.cpp:201
#7  0x000000349c2716cf in QThread::exec (this=<optimized out>) at thread/qthread.cpp:492
#8  0x000000349c33c72f in QInotifyFileSystemWatcherEngine::run (this=0x494bcb0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x000000349c274145 in QThreadPrivate::start (arg=0x494bcb0) at thread/qthread_unix.cpp:320
#10 0x0000003491e07b31 in start_thread (arg=0x7f52b1ff3700) at pthread_create.c:305
#11 0x00000034916dfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7f52b17f2700 (LWP 27216)):
[KCrash Handler]
#6  __memcpy_ssse3_back () at ../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S:1549
#7  0x000000349c2e0f1b in QBuffer::readData (this=<optimized out>, data=<optimized out>, len=16384) at /usr/include/bits/string3.h:52
#8  0x000000349c2f71b5 in QIODevice::read (this=0x7f52b17f0b90, data=0x7f52b17f0690 "\240\303\270\002", maxSize=6) at io/qiodevice.cpp:829
#9  0x00007f536aa4213d in readIconDir (iodev=<optimized out>, iconDir=0x7f52b17f06c0) at qicohandler.cpp:184
#10 0x00007f536aa42246 in ICOReader::canRead (iodev=0x7f52b17f0b90) at qicohandler.cpp:272
#11 0x00007f536aa41958 in QICOPlugin::capabilities (this=<optimized out>, device=0x7f52b17f0b90, format=...) at main.cpp:77
#12 0x000000349e279b1b in createReadHandlerHelper (device=0x7f52b17f0b90, format=<optimized out>, autoDetectImageFormat=true, ignoresFormatAndExtension=false) at image/qimagereader.cpp:393
#13 0x000000349e27b054 in QImageReaderPrivate::initHandler (this=0x7f530861a7b0) at image/qimagereader.cpp:618
#14 0x000000349e27b978 in QImageReader::read (this=0x7f52b17f0bc0, image=0x7f52b17f0b50) at image/qimagereader.cpp:1185
#15 0x000000349e27bb97 in QImageReader::read (this=0x7f52b17f0bc0) at image/qimagereader.cpp:1155
#16 0x000000349e26bf5e in QImage::fromData (data=<optimized out>, size=<optimized out>, format=0x0) at image/qimage.cpp:5087
#17 0x000000349e270f60 in QImage::loadFromData (this=0x7f52b17f0f30, data=<optimized out>, len=<optimized out>, format=<optimized out>) at image/qimage.cpp:5045
#18 0x000000000071ab53 in Digikam::GPCamera::getThumbnail (this=<optimized out>, folder=..., itemName=..., thumbnail=...) at /usr/src/debug/digikam-1.9.0/utilities/cameragui/gpcamera.cpp:939
#19 0x00000000007288e2 in Digikam::CameraController::executeCommand (this=0x5fae010, cmd=0x6812ea0) at /usr/src/debug/digikam-1.9.0/utilities/cameragui/cameracontroller.cpp:511
#20 0x000000000072c139 in Digikam::CameraController::run (this=0x5fae010) at /usr/src/debug/digikam-1.9.0/utilities/cameragui/cameracontroller.cpp:391
#21 0x000000349c274145 in QThreadPrivate::start (arg=0x5fae010) at thread/qthread_unix.cpp:320
#22 0x0000003491e07b31 in start_thread (arg=0x7f52b17f2700) at pthread_create.c:305
#23 0x00000034916dfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7f52b37f6700 (LWP 27250)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x000000349c2745db in wait (time=18446744073709551615, this=0x5fae790) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x5fb0518, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x0000000000732bab in Digikam::CameraHistoryUpdater::run (this=0x5fb0ea0) at /usr/src/debug/digikam-1.9.0/utilities/cameragui/camerahistoryupdater.cpp:115
#4  0x000000349c274145 in QThreadPrivate::start (arg=0x5fb0ea0) at thread/qthread_unix.cpp:320
#5  0x0000003491e07b31 in start_thread (arg=0x7f52b37f6700) at pthread_create.c:305
#6  0x00000034916dfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7f5373d4e8c0 (LWP 27073)):
#0  0x00000034916d7423 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003494208b42 in ?? () from /usr/lib64/libxcb.so.1
#2  0x000000349420908f in ?? () from /usr/lib64/libxcb.so.1
#3  0x0000003494209114 in xcb_writev () from /usr/lib64/libxcb.so.1
#4  0x0000003493e456e7 in _XSend (dpy=0x2ab71b0, data=<optimized out>, size=<optimized out>) at xcb_io.c:436
#5  0x0000003493e39d55 in SendZImage (dest_scanline_pad=0, dest_bits_per_pixel=32, req_yoffset=<optimized out>, req_xoffset=0, image=0x6838af0, req=<optimized out>, dpy=0x2ab71b0) at PutImage.c:802
#6  PutImageRequest (dest_scanline_pad=0, dest_bits_per_pixel=32, req_height=<optimized out>, req_width=<optimized out>, y=<optimized out>, x=0, req_yoffset=<optimized out>, req_xoffset=0, image=0x6838af0, gc=0x68347a0, d=104857855, dpy=0x2ab71b0) at PutImage.c:870
#7  PutSubImage (dpy=0x2ab71b0, d=104857855, gc=0x68347a0, image=0x6838af0, req_xoffset=0, req_yoffset=<optimized out>, x=0, y=0, req_width=256, req_height=255, dest_bits_per_pixel=32, dest_scanline_pad=32) at PutImage.c:908
#8  0x0000003493e3900b in PutSubImage (dpy=0x2ab71b0, d=104903043, gc=0x68347a0, image=0x6838af0, req_xoffset=0, req_yoffset=<optimized out>, x=0, y=0, req_width=256, req_height=256, dest_bits_per_pixel=32, dest_scanline_pad=32) at PutImage.c:917
#9  0x0000003493e39f32 in XPutImage (dpy=0x2ab71b0, d=104903043, gc=0x68347a0, image=0x6838af0, req_xoffset=0, req_yoffset=0, x=0, y=0, req_width=256, req_height=256) at PutImage.c:1027
#10 0x000000349e29df14 in QX11PixmapData::fromImage (this=0x6834cb0, img=<optimized out>, flags=...) at image/qpixmap_x11.cpp:1124
#11 0x000000349e2899af in QPixmap::fromImage (image=..., flags=...) at image/qpixmap.cpp:2059
#12 0x00000000006f20fd in Digikam::CameraIconItem::setThumbnail (this=0x644cb80, thumbnail=<optimized out>) at /usr/src/debug/digikam-1.9.0/utilities/cameragui/cameraiconitem.cpp:94
#13 0x00000000006f76ee in Digikam::CameraIconView::setThumbnail (this=<optimized out>, folder=<optimized out>, filename=<optimized out>, image=...) at /usr/src/debug/digikam-1.9.0/utilities/cameragui/cameraiconview.cpp:310
#14 0x00000000007004d8 in Digikam::CameraUI::slotThumbnail (this=0x4d0ea60, folder=..., file=..., thumbnail=...) at /usr/src/debug/digikam-1.9.0/utilities/cameragui/cameraui.cpp:1296
#15 0x00000000007137ae in Digikam::CameraUI::qt_metacall (this=0x4d0ea60, _c=QMetaObject::InvokeMetaMethod, _id=19, _a=0x7f530861e7b0) at /usr/src/debug/digikam-1.9.0/x86_64-redhat-linux-gnu/utilities/cameragui/cameraui.moc:223
#16 0x000000349c370a7a in QObject::event (this=0x4d0ea60, e=<optimized out>) at kernel/qobject.cpp:1217
#17 0x000000349e20754b in QWidget::event (this=0x4d0ea60, event=0x7f530851e340) at kernel/qwidget.cpp:8718
#18 0x000000349e5be3ab in QMainWindow::event (this=0x4d0ea60, event=0x7f530851e340) at widgets/qmainwindow.cpp:1480
#19 0x00000034a073e8ce in KXmlGuiWindow::event (this=0x4d0ea60, ev=0x7f530851e340) at /usr/src/debug/kdelibs-4.6.5/kdeui/xmlgui/kxmlguiwindow.cpp:126
#20 0x000000349e1b7444 in notify_helper (e=0x7f530851e340, receiver=0x4d0ea60, this=0x2a931f0) at kernel/qapplication.cpp:4462
#21 QApplicationPrivate::notify_helper (this=0x2a931f0, receiver=0x4d0ea60, e=0x7f530851e340) at kernel/qapplication.cpp:4434
#22 0x000000349e1bc2d1 in QApplication::notify (this=0x7fffad24f110, receiver=0x4d0ea60, e=0x7f530851e340) at kernel/qapplication.cpp:4341
#23 0x00000034a0641d56 in KApplication::notify (this=0x7fffad24f110, receiver=0x4d0ea60, event=0x7f530851e340) at /usr/src/debug/kdelibs-4.6.5/kdeui/kernel/kapplication.cpp:311
#24 0x000000349c35a1ac in QCoreApplication::notifyInternal (this=0x7fffad24f110, receiver=0x4d0ea60, event=0x7f530851e340) at kernel/qcoreapplication.cpp:731
#25 0x000000349c35d774 in sendEvent (event=0x7f530851e340, receiver=0x4d0ea60) at kernel/qcoreapplication.h:215
#26 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x2a23210) at kernel/qcoreapplication.cpp:1372
#27 0x000000349c3848b3 in sendPostedEvents () at kernel/qcoreapplication.h:220
#28 postEventSourceDispatch (s=0x2a96e20) at kernel/qeventdispatcher_glib.cpp:277
#29 0x00000034936427ed in g_main_dispatch (context=0x2a95ce0) at gmain.c:2441
#30 g_main_context_dispatch (context=0x2a95ce0) at gmain.c:3014
#31 0x0000003493642fc8 in g_main_context_iterate (context=0x2a95ce0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3092
#32 0x000000349364325c in g_main_context_iteration (context=0x2a95ce0, may_block=1) at gmain.c:3155
#33 0x000000349c384d0f in QEventDispatcherGlib::processEvents (this=0x2a24900, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#34 0x000000349e259fde in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:207
#35 0x000000349c3596c2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#36 0x000000349c3598bf in QEventLoop::exec (this=0x7fffad24ef90, flags=...) at kernel/qeventloop.cpp:201
#37 0x000000349c35da07 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#38 0x0000000000478e97 in main (argc=3, argv=<optimized out>) at /usr/src/debug/digikam-1.9.0/digikam/main.cpp:216

Reported using DrKonqi
Comment 1 caulier.gilles 2011-08-11 16:13:47 UTC
Look like a Qt4 bug. not sure. At least it crash in sse3 optimized instruction.

[KCrash Handler]
#6  __memcpy_ssse3_back () at
../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S:1549
#7  0x000000349c2e0f1b in QBuffer::readData (this=<optimized out>,
data=<optimized out>, len=16384) at /usr/include/bits/string3.h:5

I move this file to qt4

Gilles Caulier
Comment 2 Christoph Feck 2011-08-12 00:01:30 UTC

*** This bug has been marked as a duplicate of bug 276249 ***
Comment 3 caulier.gilles 2018-08-19 17:26:37 UTC
not reproducible with 6.0.0